# Uses of Class
org.mariadb.jdbc.internal.com.send.authentication.ed25519.math.GroupElement

Packages that use GroupElement
Package
Description
org.mariadb.jdbc.internal.com.send.authentication.ed25519.math
org.mariadb.jdbc.internal.com.send.authentication.ed25519.spec

## Uses of GroupElement in org.mariadb.jdbc.internal.com.send.authentication.ed25519.math

Methods in org.mariadb.jdbc.internal.com.send.authentication.ed25519.math that return GroupElement
Modifier and Type
Method
Description
`GroupElement`
GroupElement.`add(GroupElement q)`
GroupElement addition using the twisted Edwards addition law with extended coordinates (Hisil2008).
`static GroupElement`
GroupElement.`cached(Curve curve, FieldElement YpX, FieldElement YmX, FieldElement Z, FieldElement T2d)`
Creates a new group element in CACHED representation.
`GroupElement`
Curve.`createPoint(byte[] P, boolean precompute)`
`GroupElement`
GroupElement.`dbl()`
Doubles a given group element $p$ in $P^2$ or $P^3$ representation and returns the result in $P \times P$ representation.
`GroupElement`
GroupElement.`doubleScalarMultiplyVariableTime(GroupElement A, byte[] a, byte[] b)`
$r = a * A + b * B$ where $a = a[0]+256*a[1]+\dots+256^{31} a[31]$, $b = b[0]+256*b[1]+\dots+256^{31} b[31]$ and $B$ is this point.
`GroupElement`
Curve.`getZero(GroupElement.Representation repr)`
`GroupElement`
GroupElement.`negate()`
Negates this group element by subtracting it from the neutral group element.
`static GroupElement`
GroupElement.`p1p1(Curve curve, FieldElement X, FieldElement Y, FieldElement Z, FieldElement T)`
Creates a new group element in P1P1 representation.
`static GroupElement`
GroupElement.`p2(Curve curve, FieldElement X, FieldElement Y, FieldElement Z)`
Creates a new group element in P2 representation.
`static GroupElement`
GroupElement.`p3(Curve curve, FieldElement X, FieldElement Y, FieldElement Z, FieldElement T)`
Creates a new group element in P3 representation.
`static GroupElement`
GroupElement.`precomp(Curve curve, FieldElement ypx, FieldElement ymx, FieldElement xy2d)`
Creates a new group element in PRECOMP representation.
`GroupElement`
GroupElement.`scalarMultiply(byte[] a)`
$h = a * B$ where $a = a[0]+256*a[1]+\dots+256^{31} a[31]$ and $B$ is this point.
`GroupElement`
GroupElement.`sub(GroupElement q)`
GroupElement subtraction using the twisted Edwards addition law with extended coordinates (Hisil2008).
`GroupElement`
GroupElement.`toCached()`
Converts the group element to the CACHED representation.
`GroupElement`
GroupElement.`toP2()`
Converts the group element to the P2 representation.
`GroupElement`
GroupElement.`toP3()`
Converts the group element to the P3 representation.
Methods in org.mariadb.jdbc.internal.com.send.authentication.ed25519.math with parameters of type GroupElement
Modifier and Type
Method
Description
`GroupElement`
GroupElement.`add(GroupElement q)`
GroupElement addition using the twisted Edwards addition law with extended coordinates (Hisil2008).
`GroupElement`
GroupElement.`doubleScalarMultiplyVariableTime(GroupElement A, byte[] a, byte[] b)`
$r = a * A + b * B$ where $a = a[0]+256*a[1]+\dots+256^{31} a[31]$, $b = b[0]+256*b[1]+\dots+256^{31} b[31]$ and $B$ is this point.
`GroupElement`
GroupElement.`sub(GroupElement q)`
GroupElement subtraction using the twisted Edwards addition law with extended coordinates (Hisil2008).

## Uses of GroupElement in org.mariadb.jdbc.internal.com.send.authentication.ed25519.spec

Methods in org.mariadb.jdbc.internal.com.send.authentication.ed25519.spec that return GroupElement
Modifier and Type
Method
Description
`GroupElement`
EdDSAParameterSpec.`getB()`
Constructors in org.mariadb.jdbc.internal.com.send.authentication.ed25519.spec with parameters of type GroupElement
Modifier
Constructor
Description
``
`EdDSANamedCurveSpec(String name, Curve curve, String hashAlgo, ScalarOps sc, GroupElement B)`
``
`EdDSAParameterSpec(Curve curve, String hashAlgo, ScalarOps sc, GroupElement B)`